---
title: How to Reduce Server Lag
path: lag
---

# How to Reduce Server Lag

<p align=center>
Server lag is something that we try to actively avoid. Staff tries to mitigate it as much as possible ourselves but there are ways you can help! This guide will show you ways you can decrease the lag created by your farms and bases.
</p>

<p align=center>
<i>If anything is unclear by the end feel free to contact a staff member!</i>
</p>

# Not Allowed by Any Means

* Mob farms that do not kill mobs automatically or alternatively do not have a turn off function
* Chunk Loaders
* Lag machines (obviously)

# Easy Ways to Reduce Lag

1. **Avoid unnecessary or large amounts of mobs within your render distance** - Mob AI leads to heaps of lag! Villagers being one of the biggest culprits of this We recommend avoiding having more than 100 passive mobs within your render distance. On the Villager front we ask two things from you:
    * Have no more than 30 villagers loaded around you at a time (exception being an "offshore" trading hall, more on this in a second `See #2`)
    * This 30 Villager limit counts for general villagers around your base as well as in Iron Farms and anything else you would use them for!

2. **Build villager trading halls outside of render distance (offshore)** - This is a trading hall that is outside away from all your bases and AFKable farms to reduce villager AI as much as possible! While these offshore trading halls can have more than the 30 cap that is set for around bases/AFK Farms please do not go wild! We recommend building the halls **~128 Blocks** away from any main parts of your  Base/Farms

3. **Separate larger laggier farms** - When building your farms do not stack multiple huge farms! Having one large one and a few small ones nearby is perfectly okay but having and loading multiple large farms in one area is call for a lag fest.

4. **Design mob farms to kill mobs** - **(REQUIRED)** If mob farms/grinders do not kill the mobs they are spawning the mobs are highly likely to be grouped together by design and can cause significant lag. **Mob farms must automatically kill mobs**, but can by design have a toggle to kill them manually when the farm is actively being used. If you only want it to be manual make sure there is a switch to turn the farm off.

5. **Avoid [entity](https://minecraft.fandom.com/wiki/Entity) cramming** - The most common cause of this is having a pen of cows/pigs or any other mob with not enough space for the animals this results in entity collisions which can cause significant amounts of lag! Easiest way to reduce this is by:
    * **Spreading entities out over as many chunks as possible** - Easiest way to do this is while in game press f3 + g and that will pull up chunk borders! With this information spread your pens out in as many chunks as possible  

6. **Reducing Lag Involving Redstone** - Redstone while fun can also be quite the lag producer! There are a few steps that you can take to lessen the impact of your wired masterpieces!:
    * **Completely light up your redstone builds** - A big portion of redstone lag can be pointed towards the light level updates that redstone has to do! Counter this by lighting up your wired area to decrease the amount of light changes happening.
    * **Confine redstone builds to as few chunks as possible** - As redstone updates move from chunk to chunk they cause that new chunk to update. That being said reducing the number chunks a redstone build is in decreases the number of updates being made.
    * **Design redstone builds/farms that shut off** - Can be as simple as a lever!

7. **Generally Minimize the use of [block entities](https://minecraft.fandom.com/wiki/Block_entity)** - (Item frames, signs, etc.) to name a few! These help increase your general FPS aswell! The more you have down the lower FPS will go!